subroutine Eigen_Power(n, A0, lambda, iter_flag, test_val)

real A0(n,n)
complex A(n,n)
complex lambda


! Define:
lnit =1000
TOL =1E-7		!1E-5
A =A0

call Power_Complex(n, A, lnit, TOL, lambda, iter, iter_flag, test_val)


END subroutine Eigen_Power
